Restart Deployment Stateless Resource

  • POST /deployments/{deployment_id}/{stateless_resource_kind}/{ref_id}/_restart

Restarts a Stateless Resource. If a Resource is active: this command re-applies the existing plan but applies a "cluster_reboot", which issues a restart command and waits for it to complete. If a Resource is inactive: this command starts it up with the most recent successful plan.

Query Parameters

cancel_pending boolean · default: false

If true, cancels any pending plans before restarting. If false and there are pending plans, returns an error.

Responses